/* IPSA 2014: Kernel matching of Israel Foreign Policy Study 2014 03 26 */
use "C:\Users\shingo\Documents\data\IPSA2014\Israel_2011a.dta", clear

log using IPSA2014, replace text
set more off

/* Ordered Logit estimations */
ologit oslo93 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit jordan94 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit withdraw2000 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit ODS2002 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Iraq2003 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit withdraw2005 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Lebanon2006 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Gaza2009 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Egypt2011 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Syria2011 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Settlement secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Iran_bomb secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Pale_state secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure
ologit Territory secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure


/* Propensity Score calculation */
pscore secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) logit

/* Kernel Matching & Bootstrap estimations */
attk oslo93 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk jordan94 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk withdraw2000 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk ODS2002 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Iraq2003 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk withdraw2005 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Lebanon2006 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Gaza2009 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Egypt2011 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Syria2011 secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Settlement secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Iran_bomb secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Pale_state secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)
attk Territory secular Q5_1 Q5_2 Q5_5 male formerSoviet education expenditure, pscore(mypscore) boot reps(100)

log close
